/* $Id: avwimage.h,v 1.3 2000/04/01 13:23:06 flitney Exp $ */
#if !defined(__AVWIMAGE_H)
#define __AVWIMAGE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "avwio.h"

#define AVWIM_AXIAL    0
#define AVWIM_SAGITTAL 1
#define AVWIM_CORONAL  2

typedef union 
{
  unsigned char asChar;
  short         asShort;
  int           asInt;
  float         asFloat;
  COMPLEX       asComplex;
} DtRange;

typedef struct
{
  struct dsr *header;
				/* The following parameters are derived
				 * directly from the dsr header. They
				 * will be synchronised on write - groovy baby!
				 */
  short xdim, ydim, zdim, vdim;
  float xvox, yvox, zvox;
  float tr;
  short dt;
  int min, max;
  char orient;
  char study[18];
  char descrip[80];
  char scannum[10];
  char date[10];
  char patient[10];
  short xo, yo, zo;
				/* The following parameters are NOT synch'd! */
  double xcog, ycog, zcog;
  double thresh0, thresh2, thresh, thresh98, thresh100;
  float  xavox, yavox, zavox;

  DtRange dtmin, dtmax;

  unsigned char bpv;

  void *data;
} AVWImage;

AVWImage *ReadAVW(const char *filename);
void WriteAVW(const char *filename, AVWImage *im);
AVWImage *NewAVW(void);
void FreeAVW(AVWImage *im);

#ifdef __cplusplus
	   }
#endif

#endif
