///////////////////////////////////////////////////////////////////////////
//
// @module filepgm.h |
//
// This file declare the IO class for the PGM/PPM format.
//
// Copyright 2000 Yongyue Zhang (yongyue@fmrib.ox.ac.uk), All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////

#ifndef __PGMIMAGE_H
#define __PGMIMAGE_H

#include "format.h"

#define		PGM_BINARY_MAGIC_NUMBER	"P5"
#define		PGM_ASCLL_MAGIC_NUMBER	"P2"
#define		PPM_BINARY_MAGIC_NUMBER	"P6"
#define		PPM_ASCLL_MAGIC_NUMBER	"P3"
#define		PGM_COMMENTS "Created By Yongyue Zhang (yongyue@fmrib.ox.ac.uk)"
#define		MAX_GRAY_LEVEL		255

class ZPGMImage : public ZImageFile
{
	bool m_bPGM;
public:
	ZPGMImage(bool pgm=true) : ZImageFile(), m_bPGM(pgm) {}
	ZImageBase*		ReadFile();
	bool	WriteFile(const ZImageBase& image, bool intensityscale=false);
};

#endif
